stages:
  - security-check

sast-check-nodejs:
  stage: security-check
  image: python:latest
  before_script:
    - apt update && apt install -y curl git
    - python3 -m pip install semgrep
  script:
    - git clone https://github.com/bkimminich/juice-shop
    - semgrep --config=auto --junit-xml --output sast-report-nodejs.xml --error ./juice-shop/
  artifacts:
    reports:
      junit:
        - sast-report-nodejs.xml 